
subtle - Bug #282

Grab involving <B4> to <B7>

02/20/2012 03:58 PM - Dicksmash McIroncock

Status: Confirmed Start date: 02/20/2012

Priority: Urgent Due date:  

Assignee: Christoph Kappel % Done: 0%

Category: Bugfix Estimated time: 0.00 hour

Target version:    

Description

The grabs <W-B4> and <W-B5> (:ViewPrev and :ViewNext) only work when the mouse is currently above a window, they won't work

when hovering over the root window. This is an issue only present in the version developer snapshot, but not in the version packaged

by Archlinux.

In any version I have tested, mouse <B6> and <B7> (and probably higher) fail to be recognized by subtle while other WMs,

applications recognize them well (i.e. it is not an issue of the Xserver)

History

#1 - 02/22/2012 01:27 PM - Christoph Kappel

- Target version set to Omicron

- Assignee set to Non member users

- Status changed from Unconfirmed to Confirmed

- Category set to Bugfix

After looking at the code I can confirm that :ViewPrev and :ViewNext don't work on the root window, that is due to the rewrite of the screen selection

since multiple monitors just don't exist. Going to fix that today.

The mouse button thing is something I cannot test due to lack of a mouse with so many buttons. Technically it should work and it did the last time I

had a ticket like that.

#2 - 12/24/2017 07:49 PM - Christoph Kappel

- Target version deleted (Omicron)
